# 72. Consulta: Obter dados em grade como GeoJSON ou GeoTIFF

Consulta para obter dados em grade de conjuntos de dados como "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" como `GEOJSON` com pontos ou `GEOTIFF`.&#x20;

{% hint style="danger" %}
Recomendado recuperar apenas um único conjunto de dados com `sourceDataUrl` por solicitação.&#x20;
{% endhint %}

`GEOTIFF` e `GEOJSON` estão disponíveis como `formatos`.

{% hint style="danger" %}
`sourceDataUrl` o link é acessível por apenas **60 seg.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    nome
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nome
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        uuid
        sourceDataUrl(formato: GEOTIFF)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/docs-da-api/visao-geral-das-solicitacoes-da-api-do-geopard/72.-consulta-obter-dados-em-grade-como-geojson-ou-geotiff.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
